    var flickerSpeed : float = 0.005;
     
    while (true) {
        light.range = 16.00;
        yield WaitForSeconds (flickerSpeed);
        light.range = 15.5;
        yield WaitForSeconds (flickerSpeed);
    }
